<?php
/**
 * @package Brand New Day
 */

get_header();

?>

	<div id="content" class="content">
		<?php
			if ( is_search() ) {
				echo "<h2 class='page_title'>You searched for <em>" . get_search_query() . "</em></h2>";
				get_search_form();
				echo "<hr />";
			}
		?>

	<?php if ( have_posts() ) : ?>

		<?php while ( have_posts() ) : the_post(); ?>
			<div class="post-sidebar">
				<div class="post-date">
					<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
						<span class="post-month"><?php the_time('M'); ?></span>
						<span class="post-day"><?php the_time('j'); ?></span>
					</a>
				</div>
				<div class="edit-link"><?php edit_post_link('Edit', '', ''); ?></div>
			</div>
			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<h2 class="page_title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<small><span class="post-author">by <?php the_author() ?></span></small>

				<div class="entry">
					<?php the_content('Read the rest of this entry &raquo;'); ?>
				</div>
				
				<?php wp_link_pages(array('before' => '<p class="clear"><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

				<p class="postmetadata clear post-categories"><?php the_category(' ') ?></p>

				<div class="post-comments"><?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></div>
				<hr />
			</div>

		<?php endwhile; ?>
		
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>
		
	<?php else : ?>

		<h2 class="page_title">Not Found</h2>
		<p class="aligncenter">Sorry, but you are looking for something that isn't here.</p>
		<?php get_search_form(); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
